Update service basic details
Updates basic service details like service name or IP access list.
curl --request PATCH \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"ipAccessList": {
"add": [
{
"source": "<string>",
"description": "<string>"
}
],
"remove": [
{
"source": "<string>",
"description": "<string>"
}
]
},
"privateEndpointIds": {
"add": [
"<string>"
],
"remove": [
"<string>"
]
},
"endpoints": [
{
"protocol": "mysql",
"enabled": true
}
],
"transparentDataEncryptionKeyId": "<string>"
}
'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}"
payload = {
"name": "<string>",
"ipAccessList": {
"add": [
{
"source": "<string>",
"description": "<string>"
}
],
"remove": [
{
"source": "<string>",
"description": "<string>"
}
]
},
"privateEndpointIds": {
"add": ["<string>"],
"remove": ["<string>"]
},
"endpoints": [
{
"protocol": "mysql",
"enabled": True
}
],
"transparentDataEncryptionKeyId": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
ipAccessList: {
add: [{source: '<string>', description: '<string>'}],
remove: [{source: '<string>', description: '<string>'}]
},
privateEndpointIds: {add: ['<string>'], remove: ['<string>']},
endpoints: [{protocol: 'mysql', enabled: true}],
transparentDataEncryptionKeyId: '<string>'
})
};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"clickhouseVersion": "<string>",
"endpoints": [
{
"protocol": "mysql",
"host": "<string>",
"port": 123,
"username": "<string>"
}
],
"minTotalMemoryGb": 48,
"maxTotalMemoryGb": 360,
"minReplicaMemoryGb": 16,
"maxReplicaMemoryGb": 120,
"numReplicas": 3,
"idleScaling": true,
"idleTimeoutMinutes": 123,
"ipAccessList": [
{
"source": "<string>",
"description": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"encryptionKey": "<string>",
"encryptionAssumedRoleIdentifier": "<string>",
"iamRole": "<string>",
"privateEndpointIds": [
"<string>"
],
"availablePrivateEndpointIds": [
"<string>"
],
"dataWarehouseId": "<string>",
"isPrimary": true,
"isReadonly": true,
"byocId": "<string>",
"hasTransparentDataEncryption": true,
"transparentDataEncryptionKeyId": "<string>",
"encryptionRoleId": "<string>"
}
}{
"status": 400,
"error": "<string>"
}Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the service to update.
Body
Name of the service. Alphanumerical string with whitespaces up to 50 characters.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Select fast if you want to get new ClickHouse releases as soon as they are available. You'll get new features faster, but with a higher risk of bugs. Select slow if you would like to defer releases to give yourself more time to test. This feature is only available for production services. default is the regular release channel.
slow, default, fast List of service endpoints to change
Show child attributes
Show child attributes
The id of the key to rotate
Was this page helpful?
